%define name bencode
%define version 2.0.0
%define unmangled_version 2.0.0
%define unmangled_version 2.0.0
%define release 2%{?dist}

%if 0%{?fedora}
%global         with_python3 1
%else
%global         with_python3 0
%endif

Summary:	The BitTorrent bencode module as light-weight, standalone package.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}.py-%{unmangled_version}.tar.gz
License:	BitTorrent Open Source License
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix:		%{_prefix}
BuildArch:	noarch
Vendor:		Thomas Rampelberg <thomas@bittorrent.com>
Url:		https://pypi.python.org/pypi/bencode

%description
This package simply re-packages the existing bencoding and bdecoding implemention from the 'official' BitTorrent client as a separate,
light-weight package for re-using them without having the entire BitTorrent software as a dependency.

%package -n python2-%{name}
Obsoletes: python-bencode <= %{version}
Provides: python-%{name} = %{version}
Obsoletes: %{name} 
Provides: %{name} 
Summary: Simple bencode parser for Python 2
BuildRequires:	python2-setuptools, python2-devel, python2-pbr

%description -n python2-%{name}
Simple bencode parser, forked from the bencode package
by Thomas Rampelberg.

%if 0%{?with_python3}
%package -n python3-%{name}
Summary: Simple bencode parser for Python 3
BuildRequires:	python3-setuptools, python3-devel, python3-pbr

%description -n python3-%{name}
Simple bencode parser, forked from the bencode package
by Thomas Rampelberg.
%endif

%prep
%setup -n %{name}-%{unmangled_version} -n %{name}.py-%{unmangled_version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python2-%{name}
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}.py*.egg-info

%if 0%{?with_python3}
%files -n python3-%{name}
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}.py*.egg-info
%endif

%changelog
* Tue Jan 29 2019 Lawrence R. Rogers <lrr@cert.org> 2.0.0-2
* Release 2.0.0-2
        Version as of 2.0.0
	-python packages renamed to -python2

* Mon Dec 18 2017 Lawrence R. Rogers <lrr@cert.org> 2.0.0-1
* Release 2.0.0-1
	Updated to version 2.0.0
